com.independentsoft.exchange

## Class AttachmentId

- java.lang.Object
- - com.independentsoft.exchange.AttachmentId

-     public class AttachmentId
      extends java.lang.Object

  Identifies an item or file attachment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentId()` Initializes a new instance of the AttachmentId class.
    `AttachmentId(java.lang.String id)` Initializes a new instance of the AttachmentId class.
    `AttachmentId(java.lang.String id, java.lang.String rootItemId)` Initializes a new instance of the AttachmentId class.
    `AttachmentId(java.lang.String id, java.lang.String rootItemId, java.lang.String rootItemChangeKey)` Initializes a new instance of the AttachmentId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the unique identifier of the attachment.
    `java.lang.String` | `getRootItemChangeKey()` Gets the change key of the root store item to which the attachment is attached.
    `java.lang.String` | `getRootItemId()` Gets the unique identifier of the root store item to which the attachment is attached.
    `void` | `setId(java.lang.String id)` Sets the unique identifier of the attachment.
    `void` | `setRootItemChangeKey(java.lang.String rootItemChangeKey)` Sets the change key of the root store item to which the attachment is attached.
    `void` | `setRootItemId(java.lang.String rootItemId)` Sets the unique identifier of the root store item to which the attachment is attached.
    `java.lang.String` | `toString()` Converts the value of the current AttachmentId object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentId

          public AttachmentId()

      Initializes a new instance of the AttachmentId class.

    - #### AttachmentId

          public AttachmentId(java.lang.String id)

      Initializes a new instance of the AttachmentId class.
      Parameters:
        `id` - the id

    - #### AttachmentId

          public AttachmentId(java.lang.String id,
                              java.lang.String rootItemId)

      Initializes a new instance of the AttachmentId class.
      Parameters:
        `id` - the id
        `rootItemId` - the root item id

    - #### AttachmentId

          public AttachmentId(java.lang.String id,
                              java.lang.String rootItemId,
                              java.lang.String rootItemChangeKey)

      Initializes a new instance of the AttachmentId class.
      Parameters:
        `id` - the id
        `rootItemId` - the root item id
        `rootItemChangeKey` - the root item change key

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AttachmentId object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier of the attachment.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets the unique identifier of the attachment.
      Parameters:
        `id` - the new id

    - #### getRootItemId

          public java.lang.String getRootItemId()

      Gets the unique identifier of the root store item to which the attachment is attached.
      Returns:
        the root item id

    - #### setRootItemId

          public void setRootItemId(java.lang.String rootItemId)

      Sets the unique identifier of the root store item to which the attachment is attached.
      Parameters:
        `rootItemId` - the new root item id

    - #### getRootItemChangeKey

          public java.lang.String getRootItemChangeKey()

      Gets the change key of the root store item to which the attachment is attached.
      Returns:
        the root item change key

    - #### setRootItemChangeKey

          public void setRootItemChangeKey(java.lang.String rootItemChangeKey)

      Sets the change key of the root store item to which the attachment is attached.
      Parameters:
        `rootItemChangeKey` - the new root item change key